export declare const root: {
    readonly element: "Definitions";
    readonly type: "dmn3__tDefinitions";
};
export declare const ns: Map<string, string>;
export declare const subs: {
    "": {
        Context: string;
        FunctionDefinition: string;
        Relation: string;
        List: string;
        LiteralExpression: string;
        Invocation: string;
        DecisionTable: string;
        Decision: string;
        BusinessKnowledgeModel: string;
        InputData: string;
        KnowledgeSource: string;
        PerformanceIndicator: string;
        OrganizationUnit: string;
    };
};
export declare const elements: {
    Context: string;
    FunctionDefinition: string;
    Relation: string;
    List: string;
    DMNElement: string;
    Definitions: string;
    Import: string;
    ElementCollection: string;
    DRGElement: string;
    Decision: string;
    BusinessContextElement: string;
    PerformanceIndicator: string;
    OrganizationUnit: string;
    BusinessKnowledgeModel: string;
    InputData: string;
    KnowledgeSource: string;
    Expression: string;
    ItemDefinition: string;
    LiteralExpression: string;
    Invocation: string;
    InformationItem: string;
    DecisionTable: string;
};
export declare const meta: {
    readonly dmn3__tContext: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
        readonly contextEntry: {
            readonly type: "dmn3__tContextEntry";
            readonly isArray: true;
            readonly fromType: "dmn3__tContext";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tContextEntry: {
        readonly InformationItem: {
            readonly type: "dmn3__tInformationItem";
            readonly isArray: false;
            readonly fromType: "dmn3__tContextEntry";
            readonly xsdType: "// local type";
        };
        readonly Expression: {
            readonly type: "dmn3__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn3__tContextEntry";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tFunctionDefinition: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
        readonly InformationItem: {
            readonly type: "dmn3__tInformationItem";
            readonly isArray: true;
            readonly fromType: "dmn3__tFunctionDefinition";
            readonly xsdType: "// local type";
        };
        readonly Expression: {
            readonly type: "dmn3__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn3__tFunctionDefinition";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tRelation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
        readonly column: {
            readonly type: "dmn3__tContextEntry";
            readonly isArray: true;
            readonly fromType: "dmn3__tRelation";
            readonly xsdType: "// local type";
        };
        readonly List: {
            readonly type: "dmn3__tList";
            readonly isArray: true;
            readonly fromType: "dmn3__tRelation";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tList: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
        readonly Expression: {
            readonly type: "dmn3__tExpression";
            readonly isArray: true;
            readonly fromType: "dmn3__tList";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tDMNElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
    };
    readonly dmn3__tNamedDMNElement: {};
    readonly dmn3__tDMNElementReference: {
        readonly "@_href": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElementReference";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly dmn3__tDefinitions: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_typeLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly Import: {
            readonly type: "dmn3__tImport";
            readonly isArray: true;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly ItemDefinition: {
            readonly type: "dmn3__tItemDefinition";
            readonly isArray: true;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly DRGElement: {
            readonly type: "dmn3__tDRGElement";
            readonly isArray: true;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly ElementCollection: {
            readonly type: "dmn3__tElementCollection";
            readonly isArray: true;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly BusinessContextElement: {
            readonly type: "dmn3__tBusinessContextElement";
            readonly isArray: true;
            readonly fromType: "dmn3__tDefinitions";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tImport: {
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_importType": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tImport";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly dmn3__tElementCollection: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly drgElement: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tElementCollection";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tDRGElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
    };
    readonly dmn3__tDecision: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly question: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "xsd:string";
        };
        readonly allowedAnswers: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "xsd:string";
        };
        readonly outputDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly informationRequirement: {
            readonly type: "dmn3__tInformationRequirement";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly knowledgeRequirement: {
            readonly type: "dmn3__tKnowledgeRequirement";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly authorityRequirement: {
            readonly type: "dmn3__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly supportedObjective: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly impactedPerformanceIndicator: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly decisionMaker: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly decisionOwner: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly usingProcess: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly usingTask: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
        readonly Expression: {
            readonly type: "dmn3__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecision";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tBusinessContextElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly dmn3__tPerformanceIndicator: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
        readonly impactingDecision: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tPerformanceIndicator";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tOrganizationUnit: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
        readonly decisionMade: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tOrganizationUnit";
            readonly xsdType: "// local type";
        };
        readonly decisionOwned: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn3__tOrganizationUnit";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tBusinessKnowledgeModel: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly InformationItem: {
            readonly type: "dmn3__tInformationItem";
            readonly isArray: true;
            readonly fromType: "dmn3__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly Expression: {
            readonly type: "dmn3__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn3__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly knowledgeRequirement: {
            readonly type: "dmn3__tKnowledgeRequirement";
            readonly isArray: true;
            readonly fromType: "dmn3__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly authorityRequirement: {
            readonly type: "dmn3__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "dmn3__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tInputData: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tInputData";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tKnowledgeSource: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tKnowledgeSource";
            readonly xsdType: "xsd:anyURI";
        };
        readonly authorityRequirement: {
            readonly type: "dmn3__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "dmn3__tKnowledgeSource";
            readonly xsdType: "// local type";
        };
        readonly type: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tKnowledgeSource";
            readonly xsdType: "xsd:antType";
        };
        readonly owner: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tKnowledgeSource";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tInformationRequirement: {
        readonly InformationItem: {
            readonly type: "dmn3__tInformationItem";
            readonly isArray: false;
            readonly fromType: "dmn3__tInformationRequirement";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tKnowledgeRequirement: {
        readonly requiredKnowledge: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tKnowledgeRequirement";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tAuthorityRequirement: {};
    readonly dmn3__tExpression: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tItemDefinition: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_typeLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tItemDefinition";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_isCollection": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "dmn3__tItemDefinition";
            readonly xsdType: "xsd:boolean";
        };
        readonly itemComponent: {
            readonly type: "dmn3__tItemComponent";
            readonly isArray: true;
            readonly fromType: "dmn3__tItemDefinition";
            readonly xsdType: "// local type";
        };
        readonly allowedValue: {
            readonly type: "dmn3__tExpression";
            readonly isArray: true;
            readonly fromType: "dmn3__tItemDefinition";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tItemComponent: {
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tItemComponent";
            readonly xsdType: "xsd:string";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tItemComponent";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tLiteralExpression__text: {};
    readonly dmn3__tLiteralExpression: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tLiteralExpression";
            readonly xsdType: "xsd:anyURI";
        };
        readonly text: {
            readonly type: "dmn3__tLiteralExpression__text";
            readonly isArray: false;
            readonly fromType: "dmn3__tLiteralExpression";
            readonly xsdType: "Anonymous type...";
        };
        readonly Import: {
            readonly type: "dmn3__tImport";
            readonly isArray: false;
            readonly fromType: "dmn3__tLiteralExpression";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tInvocation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
        readonly binding: {
            readonly type: "dmn3__tBinding";
            readonly isArray: true;
            readonly fromType: "dmn3__tInvocation";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tBinding: {
        readonly Expression: {
            readonly type: "dmn3__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn3__tBinding";
            readonly xsdType: "// local type";
        };
        readonly parameter: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tBinding";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tInformationItem: {
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tInformationItem";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tDecisionTable: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly inputVariable: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "xsd:IDREF";
        };
        readonly itemDefinition: {
            readonly type: "dmn3__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn3__tExpression";
            readonly xsdType: "// local type";
        };
        readonly "@_hitPolicy": {
            readonly type: "dmn3__HitPolicy";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_aggregation": {
            readonly type: "dmn3__BuiltinAggregator";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_preferedOrientation": {
            readonly type: "dmn3__DecisionTableOrientation";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_isComplete": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecisionTable";
            readonly xsdType: "xsd:boolean";
        };
        readonly "@_isConsistent": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "dmn3__tDecisionTable";
            readonly xsdType: "xsd:boolean";
        };
        readonly clause: {
            readonly type: "dmn3__tClause";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly rule: {
            readonly type: "dmn3__tDecisionRule";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecisionTable";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn3__tClause: {
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn3__tClause";
            readonly xsdType: "xsd:string";
        };
        readonly "@_isOrdered": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "dmn3__tClause";
            readonly xsdType: "xsd:boolean";
        };
    };
    readonly dmn3__tDecisionRule: {
        readonly condition: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecisionRule";
            readonly xsdType: "xsd:IDREFS";
        };
        readonly conclusion: {
            readonly type: "string";
            readonly isArray: true;
            readonly fromType: "dmn3__tDecisionRule";
            readonly xsdType: "xsd:IDREFS";
        };
    };
};
//# sourceMappingURL=meta.d.ts.map