export declare const root: {
    readonly element: "definitions";
    readonly type: "dmn__tDefinitions";
};
export declare const ns: Map<string, string>;
export declare const subs: {
    "": {
        namedElement: string;
        artifact: string;
        definitions: string;
        elementCollection: string;
        drgElement: string;
        itemDefinition: string;
        informationItem: string;
        decisionService: string;
        decision: string;
        businessKnowledgeModel: string;
        inputData: string;
        knowledgeSource: string;
        performanceIndicator: string;
        organizationUnit: string;
        literalExpression: string;
        invocation: string;
        decisionTable: string;
        context: string;
        functionDefinition: string;
        relation: string;
        list: string;
        textAnnotation: string;
        association: string;
    };
};
export declare const elements: {
    DMNElement: string;
    namedElement: string;
    definitions: string;
    import: string;
    elementCollection: string;
    drgElement: string;
    decision: string;
    businessContextElement: string;
    performanceIndicator: string;
    organizationUnit: string;
    businessKnowledgeModel: string;
    inputData: string;
    knowledgeSource: string;
    expression: string;
    itemDefinition: string;
    literalExpression: string;
    invocation: string;
    informationItem: string;
    decisionTable: string;
    artifact: string;
    textAnnotation: string;
    association: string;
    context: string;
    functionDefinition: string;
    relation: string;
    list: string;
    decisionService: string;
};
export declare const meta: {
    readonly dmn__tDMNElement__extensionElements: {};
    readonly dmn__tDMNElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tDMNElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonymous type...";
        };
    };
    readonly dmn__tDMNElementReference: {
        readonly "@_href": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElementReference";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly dmn__tDefinitions__extensionElements: {};
    readonly dmn__tDefinitions: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tDefinitions__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_typeLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_exporter": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "xsd:string";
        };
        readonly "@_exporterVersion": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "xsd:string";
        };
        readonly import: {
            readonly type: "dmn__tImport";
            readonly isArray: true;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly itemDefinition: {
            readonly type: "dmn__tItemDefinition";
            readonly isArray: true;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly drgElement: {
            readonly type: "dmn__tDRGElement";
            readonly isArray: true;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly artifact: {
            readonly type: "dmn__tArtifact";
            readonly isArray: true;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly elementCollection: {
            readonly type: "dmn__tElementCollection";
            readonly isArray: true;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly businessContextElement: {
            readonly type: "dmn__tBusinessContextElement";
            readonly isArray: true;
            readonly fromType: "dmn__tDefinitions";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tImport: {
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_importType": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImport";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly dmn__tElementCollection__extensionElements: {};
    readonly dmn__tElementCollection: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tElementCollection__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly drgElement: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tElementCollection";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tDRGElement__extensionElements: {};
    readonly dmn__tDRGElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tDRGElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
    };
    readonly dmn__tDecision__extensionElements: {};
    readonly dmn__tDecision: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tDecision__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly question: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "xsd:string";
        };
        readonly allowedAnswers: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "xsd:string";
        };
        readonly variable: {
            readonly type: "dmn__tInformationItem";
            readonly isArray: false;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly informationRequirement: {
            readonly type: "dmn__tInformationRequirement";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly knowledgeRequirement: {
            readonly type: "dmn__tKnowledgeRequirement";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly authorityRequirement: {
            readonly type: "dmn__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly supportedObjective: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly impactedPerformanceIndicator: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly decisionMaker: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly decisionOwner: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly usingProcess: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly usingTask: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "dmn__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn__tDecision";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tBusinessContextElement__extensionElements: {};
    readonly dmn__tBusinessContextElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tBusinessContextElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly dmn__tPerformanceIndicator__extensionElements: {};
    readonly dmn__tPerformanceIndicator: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tPerformanceIndicator__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
        readonly impactingDecision: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tPerformanceIndicator";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tOrganizationUnit__extensionElements: {};
    readonly dmn__tOrganizationUnit: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tOrganizationUnit__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
        readonly decisionMade: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tOrganizationUnit";
            readonly xsdType: "// local type";
        };
        readonly decisionOwned: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tOrganizationUnit";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tBusinessKnowledgeModel__extensionElements: {};
    readonly dmn__tBusinessKnowledgeModel: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tBusinessKnowledgeModel__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly encapsulatedLogic: {
            readonly type: "dmn__tFunctionDefinition";
            readonly isArray: false;
            readonly fromType: "dmn__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly variable: {
            readonly type: "dmn__tInformationItem";
            readonly isArray: false;
            readonly fromType: "dmn__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly knowledgeRequirement: {
            readonly type: "dmn__tKnowledgeRequirement";
            readonly isArray: true;
            readonly fromType: "dmn__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly authorityRequirement: {
            readonly type: "dmn__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "dmn__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tInputData__extensionElements: {};
    readonly dmn__tInputData: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tInputData__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly variable: {
            readonly type: "dmn__tInformationItem";
            readonly isArray: false;
            readonly fromType: "dmn__tInputData";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tKnowledgeSource__extensionElements: {};
    readonly dmn__tKnowledgeSource: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tKnowledgeSource__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tKnowledgeSource";
            readonly xsdType: "xsd:anyURI";
        };
        readonly authorityRequirement: {
            readonly type: "dmn__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "dmn__tKnowledgeSource";
            readonly xsdType: "// local type";
        };
        readonly type: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tKnowledgeSource";
            readonly xsdType: "xsd:string";
        };
        readonly owner: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn__tKnowledgeSource";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tInformationRequirement: {};
    readonly dmn__tKnowledgeRequirement: {
        readonly requiredKnowledge: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn__tKnowledgeRequirement";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tAuthorityRequirement: {};
    readonly dmn__tExpression__extensionElements: {};
    readonly dmn__tExpression: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tExpression__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
    };
    readonly dmn__tItemDefinition__extensionElements: {};
    readonly dmn__tItemDefinition: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tItemDefinition__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_typeLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tItemDefinition";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_isCollection": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "dmn__tItemDefinition";
            readonly xsdType: "xsd:boolean";
        };
        readonly itemComponent: {
            readonly type: "dmn__tItemDefinition";
            readonly isArray: true;
            readonly fromType: "dmn__tItemDefinition";
            readonly xsdType: "// local type";
        };
        readonly typeRef: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tItemDefinition";
            readonly xsdType: "xsd:QName";
        };
        readonly allowedValues: {
            readonly type: "dmn__tUnaryTests";
            readonly isArray: false;
            readonly fromType: "dmn__tItemDefinition";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tLiteralExpression__extensionElements: {};
    readonly dmn__tLiteralExpression: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tLiteralExpression__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tLiteralExpression";
            readonly xsdType: "xsd:anyURI";
        };
        readonly text: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tLiteralExpression";
            readonly xsdType: "xsd:string";
        };
        readonly importedValues: {
            readonly type: "dmn__tImportedValues";
            readonly isArray: false;
            readonly fromType: "dmn__tLiteralExpression";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tInvocation__extensionElements: {};
    readonly dmn__tInvocation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tInvocation__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
        readonly expression: {
            readonly type: "dmn__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn__tInvocation";
            readonly xsdType: "// local type";
        };
        readonly binding: {
            readonly type: "dmn__tBinding";
            readonly isArray: true;
            readonly fromType: "dmn__tInvocation";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tBinding: {
        readonly parameter: {
            readonly type: "dmn__tInformationItem";
            readonly isArray: false;
            readonly fromType: "dmn__tBinding";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "dmn__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn__tBinding";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tInformationItem__extensionElements: {};
    readonly dmn__tInformationItem: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tInformationItem__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tInformationItem";
            readonly xsdType: "xsd:QName";
        };
    };
    readonly dmn__tDecisionTable__extensionElements: {};
    readonly dmn__tDecisionTable: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tDecisionTable__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
        readonly "@_hitPolicy": {
            readonly type: "dmn__tHitPolicy";
            readonly isArray: false;
            readonly fromType: "dmn__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_aggregation": {
            readonly type: "dmn__tBuiltinAggregator";
            readonly isArray: false;
            readonly fromType: "dmn__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_preferredOrientation": {
            readonly type: "dmn__tDecisionTableOrientation";
            readonly isArray: false;
            readonly fromType: "dmn__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_outputLabel": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDecisionTable";
            readonly xsdType: "xsd:string";
        };
        readonly input: {
            readonly type: "dmn__tInputClause";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly output: {
            readonly type: "dmn__tOutputClause";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly rule: {
            readonly type: "dmn__tDecisionRule";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionTable";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tDecisionRule__extensionElements: {};
    readonly dmn__tDecisionRule: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tDecisionRule__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly inputEntry: {
            readonly type: "dmn__tUnaryTests";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionRule";
            readonly xsdType: "// local type";
        };
        readonly outputEntry: {
            readonly type: "dmn__tLiteralExpression";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionRule";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tImportedValues: {
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_importType": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImportedValues";
            readonly xsdType: "xsd:anyURI";
        };
        readonly importedElement: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tImportedValues";
            readonly xsdType: "xsd:string";
        };
    };
    readonly dmn__tArtifact__extensionElements: {};
    readonly dmn__tArtifact: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tArtifact__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
    };
    readonly dmn__tTextAnnotation__extensionElements: {};
    readonly dmn__tTextAnnotation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tTextAnnotation__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_textFormat": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tTextAnnotation";
            readonly xsdType: "xsd:string";
        };
        readonly text: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tTextAnnotation";
            readonly xsdType: "xsd:string";
        };
    };
    readonly dmn__tAssociation__extensionElements: {};
    readonly dmn__tAssociation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tAssociation__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_associationDirection": {
            readonly type: "dmn__tAssociationDirection";
            readonly isArray: false;
            readonly fromType: "dmn__tAssociation";
            readonly xsdType: "// local type";
        };
        readonly sourceRef: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn__tAssociation";
            readonly xsdType: "// local type";
        };
        readonly targetRef: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "dmn__tAssociation";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tOutputClause__extensionElements: {};
    readonly dmn__tOutputClause: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tOutputClause__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tOutputClause";
            readonly xsdType: "xsd:string";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tOutputClause";
            readonly xsdType: "xsd:QName";
        };
        readonly outputValues: {
            readonly type: "dmn__tUnaryTests";
            readonly isArray: false;
            readonly fromType: "dmn__tOutputClause";
            readonly xsdType: "// local type";
        };
        readonly defaultOutputEntry: {
            readonly type: "dmn__tLiteralExpression";
            readonly isArray: false;
            readonly fromType: "dmn__tOutputClause";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tInputClause__extensionElements: {};
    readonly dmn__tInputClause: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tInputClause__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly inputExpression: {
            readonly type: "dmn__tLiteralExpression";
            readonly isArray: false;
            readonly fromType: "dmn__tInputClause";
            readonly xsdType: "// local type";
        };
        readonly inputValues: {
            readonly type: "dmn__tUnaryTests";
            readonly isArray: false;
            readonly fromType: "dmn__tInputClause";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tContext__extensionElements: {};
    readonly dmn__tContext: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tContext__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
        readonly contextEntry: {
            readonly type: "dmn__tContextEntry";
            readonly isArray: true;
            readonly fromType: "dmn__tContext";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tContextEntry: {
        readonly variable: {
            readonly type: "dmn__tInformationItem";
            readonly isArray: false;
            readonly fromType: "dmn__tContextEntry";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "dmn__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn__tContextEntry";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tFunctionDefinition__extensionElements: {};
    readonly dmn__tFunctionDefinition: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tFunctionDefinition__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
        readonly formalParameter: {
            readonly type: "dmn__tInformationItem";
            readonly isArray: true;
            readonly fromType: "dmn__tFunctionDefinition";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "dmn__tExpression";
            readonly isArray: false;
            readonly fromType: "dmn__tFunctionDefinition";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tRelation__extensionElements: {};
    readonly dmn__tRelation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tRelation__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
        readonly column: {
            readonly type: "dmn__tInformationItem";
            readonly isArray: true;
            readonly fromType: "dmn__tRelation";
            readonly xsdType: "// local type";
        };
        readonly row: {
            readonly type: "dmn__tList";
            readonly isArray: true;
            readonly fromType: "dmn__tRelation";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tList__extensionElements: {};
    readonly dmn__tList: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tList__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tExpression";
            readonly xsdType: "xsd:QName";
        };
        readonly expression: {
            readonly type: "dmn__tExpression";
            readonly isArray: true;
            readonly fromType: "dmn__tList";
            readonly xsdType: "// local type";
        };
    };
    readonly dmn__tUnaryTests__extensionElements: {};
    readonly dmn__tUnaryTests: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tUnaryTests__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tUnaryTests";
            readonly xsdType: "xsd:anyURI";
        };
        readonly text: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tUnaryTests";
            readonly xsdType: "xsd:string";
        };
    };
    readonly dmn__tNamedElement__extensionElements: {};
    readonly dmn__tNamedElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tNamedElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
    };
    readonly dmn__tDecisionService__extensionElements: {};
    readonly dmn__tDecisionService: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "dmn__tDecisionService__extensionElements";
            readonly isArray: false;
            readonly fromType: "dmn__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "dmn__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly outputDecision: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionService";
            readonly xsdType: "// local type";
        };
        readonly encapsulatedDecision: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionService";
            readonly xsdType: "// local type";
        };
        readonly inputDecision: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionService";
            readonly xsdType: "// local type";
        };
        readonly inputData: {
            readonly type: "dmn__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "dmn__tDecisionService";
            readonly xsdType: "// local type";
        };
    };
};
//# sourceMappingURL=meta.d.ts.map