import { XmlParserTsRootElementBaseType } from "@kie-tools/xml-parser-ts";
export type dmn__tAssociationDirection = 'None' | 'One' | 'Both';
export type dmn__tDecisionTableOrientation = 'Rule-as-Row' | 'Rule-as-Column' | 'CrossTable';
export type dmn__tHitPolicy = 'UNIQUE' | 'FIRST' | 'PRIORITY' | 'ANY' | 'COLLECT' | 'RULE ORDER' | 'OUTPUT ORDER';
export type dmn__tBuiltinAggregator = 'SUM' | 'COUNT' | 'MIN' | 'MAX';
export interface dmn__tDMNElement {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tDMNElement__extensionElements;
}
export interface dmn__tDMNElement__extensionElements {
    __?: undefined;
}
export type dmn__tDMNElementReference = {
    "@_href": string;
};
export interface dmn__tDefinitions extends XmlParserTsRootElementBaseType {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tDefinitions__extensionElements;
    "@_name": string;
    "@_expressionLanguage"?: string;
    "@_typeLanguage"?: string;
    "@_namespace": string;
    "@_exporter"?: string;
    "@_exporterVersion"?: string;
    "import"?: dmn__tImport[];
    "itemDefinition"?: dmn__tItemDefinition[];
    "drgElement"?: (({
        __$$element: "decision";
    } & dmn__tDecision) | ({
        __$$element: "businessKnowledgeModel";
    } & dmn__tBusinessKnowledgeModel) | ({
        __$$element: "inputData";
    } & dmn__tInputData) | ({
        __$$element: "knowledgeSource";
    } & dmn__tKnowledgeSource))[];
    "artifact"?: (({
        __$$element: "textAnnotation";
    } & dmn__tTextAnnotation) | ({
        __$$element: "association";
    } & dmn__tAssociation))[];
    "elementCollection"?: dmn__tElementCollection[];
    "businessContextElement"?: (({
        __$$element: "performanceIndicator";
    } & dmn__tPerformanceIndicator) | ({
        __$$element: "organizationUnit";
    } & dmn__tOrganizationUnit))[];
}
export interface dmn__tDefinitions__extensionElements {
    __?: undefined;
}
export type dmn__tImport = {
    "@_namespace": string;
    "@_locationURI"?: string;
    "@_importType": string;
};
export interface dmn__tElementCollection {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tElementCollection__extensionElements;
    "@_name": string;
    "drgElement"?: dmn__tDMNElementReference[];
}
export interface dmn__tElementCollection__extensionElements {
    __?: undefined;
}
export interface dmn__tDRGElement {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tDRGElement__extensionElements;
    "@_name": string;
}
export interface dmn__tDRGElement__extensionElements {
    __?: undefined;
}
export interface dmn__tDecision {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tDecision__extensionElements;
    "@_name": string;
    "question"?: {
        __$$text: string;
    };
    "allowedAnswers"?: {
        __$$text: string;
    };
    "variable"?: dmn__tInformationItem;
    "informationRequirement"?: dmn__tInformationRequirement[];
    "knowledgeRequirement"?: dmn__tKnowledgeRequirement[];
    "authorityRequirement"?: dmn__tAuthorityRequirement[];
    "supportedObjective"?: dmn__tDMNElementReference[];
    "impactedPerformanceIndicator"?: dmn__tDMNElementReference[];
    "decisionMaker"?: dmn__tDMNElementReference[];
    "decisionOwner"?: dmn__tDMNElementReference[];
    "usingProcess"?: dmn__tDMNElementReference[];
    "usingTask"?: dmn__tDMNElementReference[];
    "expression"?: (({
        __$$element: "literalExpression";
    } & dmn__tLiteralExpression) | ({
        __$$element: "invocation";
    } & dmn__tInvocation) | ({
        __$$element: "decisionTable";
    } & dmn__tDecisionTable) | ({
        __$$element: "context";
    } & dmn__tContext) | ({
        __$$element: "functionDefinition";
    } & dmn__tFunctionDefinition) | ({
        __$$element: "relation";
    } & dmn__tRelation) | ({
        __$$element: "list";
    } & dmn__tList));
}
export interface dmn__tDecision__extensionElements {
    __?: undefined;
}
export interface dmn__tBusinessContextElement {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tBusinessContextElement__extensionElements;
    "@_name": string;
    "@_URI"?: string;
}
export interface dmn__tBusinessContextElement__extensionElements {
    __?: undefined;
}
export interface dmn__tPerformanceIndicator {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tPerformanceIndicator__extensionElements;
    "@_name": string;
    "@_URI"?: string;
    "impactingDecision"?: dmn__tDMNElementReference[];
}
export interface dmn__tPerformanceIndicator__extensionElements {
    __?: undefined;
}
export interface dmn__tOrganizationUnit {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tOrganizationUnit__extensionElements;
    "@_name": string;
    "@_URI"?: string;
    "decisionMade"?: dmn__tDMNElementReference[];
    "decisionOwned"?: dmn__tDMNElementReference[];
}
export interface dmn__tOrganizationUnit__extensionElements {
    __?: undefined;
}
export interface dmn__tBusinessKnowledgeModel {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tBusinessKnowledgeModel__extensionElements;
    "@_name": string;
    "encapsulatedLogic"?: dmn__tFunctionDefinition;
    "variable"?: dmn__tInformationItem;
    "knowledgeRequirement"?: dmn__tKnowledgeRequirement[];
    "authorityRequirement"?: dmn__tAuthorityRequirement[];
}
export interface dmn__tBusinessKnowledgeModel__extensionElements {
    __?: undefined;
}
export interface dmn__tInputData {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tInputData__extensionElements;
    "@_name": string;
    "variable"?: dmn__tInformationItem;
}
export interface dmn__tInputData__extensionElements {
    __?: undefined;
}
export interface dmn__tKnowledgeSource {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tKnowledgeSource__extensionElements;
    "@_name": string;
    "@_locationURI"?: string;
    "authorityRequirement"?: dmn__tAuthorityRequirement[];
    "type"?: {
        __$$text: string;
    };
    "owner"?: dmn__tDMNElementReference;
}
export interface dmn__tKnowledgeSource__extensionElements {
    __?: undefined;
}
export type dmn__tInformationRequirement = {};
export type dmn__tKnowledgeRequirement = {
    "requiredKnowledge": dmn__tDMNElementReference;
};
export type dmn__tAuthorityRequirement = {};
export interface dmn__tExpression {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tExpression__extensionElements;
    "@_typeRef"?: string;
}
export interface dmn__tExpression__extensionElements {
    __?: undefined;
}
export interface dmn__tItemDefinition {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tItemDefinition__extensionElements;
    "@_name": string;
    "@_typeLanguage"?: string;
    "@_isCollection"?: boolean;
    "itemComponent"?: dmn__tItemDefinition[];
    "typeRef"?: {
        __$$text: string;
    };
    "allowedValues"?: dmn__tUnaryTests;
}
export interface dmn__tItemDefinition__extensionElements {
    __?: undefined;
}
export interface dmn__tLiteralExpression {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tLiteralExpression__extensionElements;
    "@_typeRef"?: string;
    "@_expressionLanguage"?: string;
    "text"?: {
        __$$text: string;
    };
    "importedValues"?: dmn__tImportedValues;
}
export interface dmn__tLiteralExpression__extensionElements {
    __?: undefined;
}
export interface dmn__tInvocation {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tInvocation__extensionElements;
    "@_typeRef"?: string;
    "expression"?: (({
        __$$element: "literalExpression";
    } & dmn__tLiteralExpression) | ({
        __$$element: "invocation";
    } & dmn__tInvocation) | ({
        __$$element: "decisionTable";
    } & dmn__tDecisionTable) | ({
        __$$element: "context";
    } & dmn__tContext) | ({
        __$$element: "functionDefinition";
    } & dmn__tFunctionDefinition) | ({
        __$$element: "relation";
    } & dmn__tRelation) | ({
        __$$element: "list";
    } & dmn__tList));
    "binding"?: dmn__tBinding[];
}
export interface dmn__tInvocation__extensionElements {
    __?: undefined;
}
export type dmn__tBinding = {
    "parameter": dmn__tInformationItem;
    "expression"?: (({
        __$$element: "literalExpression";
    } & dmn__tLiteralExpression) | ({
        __$$element: "invocation";
    } & dmn__tInvocation) | ({
        __$$element: "decisionTable";
    } & dmn__tDecisionTable) | ({
        __$$element: "context";
    } & dmn__tContext) | ({
        __$$element: "functionDefinition";
    } & dmn__tFunctionDefinition) | ({
        __$$element: "relation";
    } & dmn__tRelation) | ({
        __$$element: "list";
    } & dmn__tList));
};
export interface dmn__tInformationItem {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tInformationItem__extensionElements;
    "@_name": string;
    "@_typeRef"?: string;
}
export interface dmn__tInformationItem__extensionElements {
    __?: undefined;
}
export interface dmn__tDecisionTable {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tDecisionTable__extensionElements;
    "@_typeRef"?: string;
    "@_hitPolicy"?: dmn__tHitPolicy;
    "@_aggregation"?: dmn__tBuiltinAggregator;
    "@_preferredOrientation"?: dmn__tDecisionTableOrientation;
    "@_outputLabel"?: string;
    "input"?: dmn__tInputClause[];
    "output": dmn__tOutputClause[];
    "rule"?: dmn__tDecisionRule[];
}
export interface dmn__tDecisionTable__extensionElements {
    __?: undefined;
}
export interface dmn__tDecisionRule {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tDecisionRule__extensionElements;
    "inputEntry"?: dmn__tUnaryTests[];
    "outputEntry": dmn__tLiteralExpression[];
}
export interface dmn__tDecisionRule__extensionElements {
    __?: undefined;
}
export type dmn__tImportedValues = {
    "@_namespace": string;
    "@_locationURI"?: string;
    "@_importType": string;
    "@_expressionLanguage"?: string;
    "importedElement": {
        __$$text: string;
    };
};
export interface dmn__tArtifact {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tArtifact__extensionElements;
}
export interface dmn__tArtifact__extensionElements {
    __?: undefined;
}
export interface dmn__tTextAnnotation {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tTextAnnotation__extensionElements;
    "@_textFormat"?: string;
    "text"?: {
        __$$text: string;
    };
}
export interface dmn__tTextAnnotation__extensionElements {
    __?: undefined;
}
export interface dmn__tAssociation {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tAssociation__extensionElements;
    "@_associationDirection"?: dmn__tAssociationDirection;
    "sourceRef": dmn__tDMNElementReference;
    "targetRef": dmn__tDMNElementReference;
}
export interface dmn__tAssociation__extensionElements {
    __?: undefined;
}
export interface dmn__tOutputClause {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tOutputClause__extensionElements;
    "@_name"?: string;
    "@_typeRef"?: string;
    "outputValues"?: dmn__tUnaryTests;
    "defaultOutputEntry"?: dmn__tLiteralExpression;
}
export interface dmn__tOutputClause__extensionElements {
    __?: undefined;
}
export interface dmn__tInputClause {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tInputClause__extensionElements;
    "inputExpression": dmn__tLiteralExpression;
    "inputValues"?: dmn__tUnaryTests;
}
export interface dmn__tInputClause__extensionElements {
    __?: undefined;
}
export interface dmn__tContext {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tContext__extensionElements;
    "@_typeRef"?: string;
    "contextEntry"?: dmn__tContextEntry[];
}
export interface dmn__tContext__extensionElements {
    __?: undefined;
}
export type dmn__tContextEntry = {
    "variable"?: dmn__tInformationItem;
    "expression": (({
        __$$element: "literalExpression";
    } & dmn__tLiteralExpression) | ({
        __$$element: "invocation";
    } & dmn__tInvocation) | ({
        __$$element: "decisionTable";
    } & dmn__tDecisionTable) | ({
        __$$element: "context";
    } & dmn__tContext) | ({
        __$$element: "functionDefinition";
    } & dmn__tFunctionDefinition) | ({
        __$$element: "relation";
    } & dmn__tRelation) | ({
        __$$element: "list";
    } & dmn__tList));
};
export interface dmn__tFunctionDefinition {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tFunctionDefinition__extensionElements;
    "@_typeRef"?: string;
    "formalParameter"?: dmn__tInformationItem[];
    "expression"?: (({
        __$$element: "literalExpression";
    } & dmn__tLiteralExpression) | ({
        __$$element: "invocation";
    } & dmn__tInvocation) | ({
        __$$element: "decisionTable";
    } & dmn__tDecisionTable) | ({
        __$$element: "context";
    } & dmn__tContext) | ({
        __$$element: "functionDefinition";
    } & dmn__tFunctionDefinition) | ({
        __$$element: "relation";
    } & dmn__tRelation) | ({
        __$$element: "list";
    } & dmn__tList));
}
export interface dmn__tFunctionDefinition__extensionElements {
    __?: undefined;
}
export interface dmn__tRelation {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tRelation__extensionElements;
    "@_typeRef"?: string;
    "column"?: dmn__tInformationItem[];
    "row"?: dmn__tList[];
}
export interface dmn__tRelation__extensionElements {
    __?: undefined;
}
export interface dmn__tList {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tList__extensionElements;
    "@_typeRef"?: string;
    "expression"?: (({
        __$$element: "literalExpression";
    } & dmn__tLiteralExpression) | ({
        __$$element: "invocation";
    } & dmn__tInvocation) | ({
        __$$element: "decisionTable";
    } & dmn__tDecisionTable) | ({
        __$$element: "context";
    } & dmn__tContext) | ({
        __$$element: "functionDefinition";
    } & dmn__tFunctionDefinition) | ({
        __$$element: "relation";
    } & dmn__tRelation) | ({
        __$$element: "list";
    } & dmn__tList))[];
}
export interface dmn__tList__extensionElements {
    __?: undefined;
}
export interface dmn__tUnaryTests {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tUnaryTests__extensionElements;
    "@_expressionLanguage"?: string;
    "text": {
        __$$text: string;
    };
}
export interface dmn__tUnaryTests__extensionElements {
    __?: undefined;
}
export interface dmn__tNamedElement {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tNamedElement__extensionElements;
    "@_name": string;
}
export interface dmn__tNamedElement__extensionElements {
    __?: undefined;
}
export interface dmn__tDecisionService {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: {
        __$$text: string;
    };
    "extensionElements"?: dmn__tDecisionService__extensionElements;
    "@_name": string;
    "outputDecision": dmn__tDMNElementReference[];
    "encapsulatedDecision"?: dmn__tDMNElementReference[];
    "inputDecision"?: dmn__tDMNElementReference[];
    "inputData"?: dmn__tDMNElementReference[];
}
export interface dmn__tDecisionService__extensionElements {
    __?: undefined;
}
//# sourceMappingURL=types.d.ts.map