export declare const root: {
    readonly element: "definitions";
    readonly type: "DMN12__tDefinitions";
};
export declare const ns: Map<string, string>;
export declare const subs: {
    "": {
        namedElement: string;
        informationRequirement: string;
        knowledgeRequirement: string;
        authorityRequirement: string;
        artifact: string;
        contextEntry: string;
        definitions: string;
        import: string;
        elementCollection: string;
        drgElement: string;
        itemDefinition: string;
        informationItem: string;
        decision: string;
        invocable: string;
        inputData: string;
        knowledgeSource: string;
        performanceIndicator: string;
        organizationUnit: string;
        businessKnowledgeModel: string;
        decisionService: string;
        literalExpression: string;
        invocation: string;
        decisionTable: string;
        context: string;
        functionDefinition: string;
        relation: string;
        list: string;
        textAnnotation: string;
        association: string;
    };
    "dmndi:": {
        "dmndi:DMNShape": string;
        "dmndi:DMNEdge": string;
        "dmndi:DMNStyle": string;
    };
    "dc:": {};
    "di:": {};
};
export declare const elements: {
    DMNElement: string;
    namedElement: string;
    definitions: string;
    import: string;
    elementCollection: string;
    drgElement: string;
    decision: string;
    businessContextElement: string;
    performanceIndicator: string;
    organizationUnit: string;
    invocable: string;
    businessKnowledgeModel: string;
    inputData: string;
    knowledgeSource: string;
    informationRequirement: string;
    knowledgeRequirement: string;
    authorityRequirement: string;
    expression: string;
    itemDefinition: string;
    literalExpression: string;
    invocation: string;
    informationItem: string;
    decisionTable: string;
    artifact: string;
    textAnnotation: string;
    association: string;
    context: string;
    contextEntry: string;
    functionDefinition: string;
    relation: string;
    list: string;
    decisionService: string;
    "dmndi:DMNDI": string;
    "dmndi:DMNDiagram": string;
    "dmndi:DMNDiagramElement": string;
    "dmndi:DMNShape": string;
    "dmndi:DMNEdge": string;
    "dmndi:DMNStyle": string;
    "dmndi:DMNLabel": string;
    "dmndi:DMNDecisionServiceDividerLine": string;
    "dc:Color": string;
    "dc:Point": string;
    "dc:Bounds": string;
    "dc:Dimension": string;
    "di:Style": string;
};
export declare const meta: {
    readonly DMN12__tDMNElement__extensionElements: {};
    readonly DMN12__tDMNElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tDMNElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonymous type...";
        };
    };
    readonly DMN12__tNamedElement__extensionElements: {};
    readonly DMN12__tNamedElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tNamedElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tDMNElementReference: {
        readonly "@_href": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElementReference";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly DMN12__tDefinitions__extensionElements: {};
    readonly DMN12__tDefinitions: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tDefinitions__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_typeLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_exporter": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "xsd:string";
        };
        readonly "@_exporterVersion": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "xsd:string";
        };
        readonly import: {
            readonly type: "DMN12__tImport";
            readonly isArray: true;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly itemDefinition: {
            readonly type: "DMN12__tItemDefinition";
            readonly isArray: true;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly drgElement: {
            readonly type: "DMN12__tDRGElement";
            readonly isArray: true;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly artifact: {
            readonly type: "DMN12__tArtifact";
            readonly isArray: true;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly elementCollection: {
            readonly type: "DMN12__tElementCollection";
            readonly isArray: true;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly businessContextElement: {
            readonly type: "DMN12__tBusinessContextElement";
            readonly isArray: true;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "// local type";
        };
        readonly "dmndi:DMNDI": {
            readonly type: "DMNDI12__DMNDI";
            readonly isArray: false;
            readonly fromType: "DMN12__tDefinitions";
            readonly xsdType: "type found from namespace with declaration name 'dmndi'.";
        };
    };
    readonly DMN12__tImport__extensionElements: {};
    readonly DMN12__tImport: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tImport__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_importType": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImport";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly DMN12__tElementCollection__extensionElements: {};
    readonly DMN12__tElementCollection: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tElementCollection__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly drgElement: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tElementCollection";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tDRGElement__extensionElements: {};
    readonly DMN12__tDRGElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tDRGElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tDecision__extensionElements: {};
    readonly DMN12__tDecision: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tDecision__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly question: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "xsd:string";
        };
        readonly allowedAnswers: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "xsd:string";
        };
        readonly variable: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly informationRequirement: {
            readonly type: "DMN12__tInformationRequirement";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly knowledgeRequirement: {
            readonly type: "DMN12__tKnowledgeRequirement";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly authorityRequirement: {
            readonly type: "DMN12__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly supportedObjective: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly impactedPerformanceIndicator: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly decisionMaker: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly decisionOwner: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly usingProcess: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly usingTask: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "DMN12__tExpression";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecision";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tBusinessContextElement__extensionElements: {};
    readonly DMN12__tBusinessContextElement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tBusinessContextElement__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
    };
    readonly DMN12__tPerformanceIndicator__extensionElements: {};
    readonly DMN12__tPerformanceIndicator: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tPerformanceIndicator__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
        readonly impactingDecision: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tPerformanceIndicator";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tOrganizationUnit__extensionElements: {};
    readonly DMN12__tOrganizationUnit: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tOrganizationUnit__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_URI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tBusinessContextElement";
            readonly xsdType: "xsd:anyURI";
        };
        readonly decisionMade: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tOrganizationUnit";
            readonly xsdType: "// local type";
        };
        readonly decisionOwned: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tOrganizationUnit";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tInvocable__extensionElements: {};
    readonly DMN12__tInvocable: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tInvocable__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly variable: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: false;
            readonly fromType: "DMN12__tInvocable";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tBusinessKnowledgeModel__extensionElements: {};
    readonly DMN12__tBusinessKnowledgeModel: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tBusinessKnowledgeModel__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly variable: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: false;
            readonly fromType: "DMN12__tInvocable";
            readonly xsdType: "// local type";
        };
        readonly encapsulatedLogic: {
            readonly type: "DMN12__tFunctionDefinition";
            readonly isArray: false;
            readonly fromType: "DMN12__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly knowledgeRequirement: {
            readonly type: "DMN12__tKnowledgeRequirement";
            readonly isArray: true;
            readonly fromType: "DMN12__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
        readonly authorityRequirement: {
            readonly type: "DMN12__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "DMN12__tBusinessKnowledgeModel";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tInputData__extensionElements: {};
    readonly DMN12__tInputData: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tInputData__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly variable: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: false;
            readonly fromType: "DMN12__tInputData";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tKnowledgeSource__extensionElements: {};
    readonly DMN12__tKnowledgeSource: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tKnowledgeSource__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tKnowledgeSource";
            readonly xsdType: "xsd:anyURI";
        };
        readonly authorityRequirement: {
            readonly type: "DMN12__tAuthorityRequirement";
            readonly isArray: true;
            readonly fromType: "DMN12__tKnowledgeSource";
            readonly xsdType: "// local type";
        };
        readonly type: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tKnowledgeSource";
            readonly xsdType: "xsd:string";
        };
        readonly owner: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tKnowledgeSource";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tInformationRequirement__extensionElements: {};
    readonly DMN12__tInformationRequirement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tInformationRequirement__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly requiredDecision: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tInformationRequirement";
            readonly xsdType: "// local type";
        };
        readonly requiredInput: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tInformationRequirement";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tKnowledgeRequirement__extensionElements: {};
    readonly DMN12__tKnowledgeRequirement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tKnowledgeRequirement__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly requiredKnowledge: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tKnowledgeRequirement";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tAuthorityRequirement__extensionElements: {};
    readonly DMN12__tAuthorityRequirement: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tAuthorityRequirement__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly requiredDecision: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tAuthorityRequirement";
            readonly xsdType: "// local type";
        };
        readonly requiredInput: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tAuthorityRequirement";
            readonly xsdType: "// local type";
        };
        readonly requiredAuthority: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tAuthorityRequirement";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tExpression__extensionElements: {};
    readonly DMN12__tExpression: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tExpression__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tItemDefinition__extensionElements: {};
    readonly DMN12__tItemDefinition: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tItemDefinition__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_typeLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tItemDefinition";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_isCollection": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "DMN12__tItemDefinition";
            readonly xsdType: "xsd:boolean";
        };
        readonly itemComponent: {
            readonly type: "DMN12__tItemDefinition";
            readonly isArray: true;
            readonly fromType: "DMN12__tItemDefinition";
            readonly xsdType: "// local type";
        };
        readonly typeRef: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tItemDefinition";
            readonly xsdType: "xsd:string";
        };
        readonly allowedValues: {
            readonly type: "DMN12__tUnaryTests";
            readonly isArray: false;
            readonly fromType: "DMN12__tItemDefinition";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tLiteralExpression__extensionElements: {};
    readonly DMN12__tLiteralExpression: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tLiteralExpression__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tLiteralExpression";
            readonly xsdType: "xsd:anyURI";
        };
        readonly text: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tLiteralExpression";
            readonly xsdType: "xsd:string";
        };
        readonly importedValues: {
            readonly type: "DMN12__tImportedValues";
            readonly isArray: false;
            readonly fromType: "DMN12__tLiteralExpression";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tInvocation__extensionElements: {};
    readonly DMN12__tInvocation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tInvocation__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
        readonly expression: {
            readonly type: "DMN12__tExpression";
            readonly isArray: false;
            readonly fromType: "DMN12__tInvocation";
            readonly xsdType: "// local type";
        };
        readonly binding: {
            readonly type: "DMN12__tBinding";
            readonly isArray: true;
            readonly fromType: "DMN12__tInvocation";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tBinding: {
        readonly parameter: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: false;
            readonly fromType: "DMN12__tBinding";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "DMN12__tExpression";
            readonly isArray: false;
            readonly fromType: "DMN12__tBinding";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tInformationItem__extensionElements: {};
    readonly DMN12__tInformationItem: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tInformationItem__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tInformationItem";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tDecisionTable__extensionElements: {};
    readonly DMN12__tDecisionTable: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tDecisionTable__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
        readonly "@_hitPolicy": {
            readonly type: "DMN12__tHitPolicy";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_aggregation": {
            readonly type: "DMN12__tBuiltinAggregator";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_preferredOrientation": {
            readonly type: "DMN12__tDecisionTableOrientation";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly "@_outputLabel": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "xsd:string";
        };
        readonly input: {
            readonly type: "DMN12__tInputClause";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly output: {
            readonly type: "DMN12__tOutputClause";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly annotation: {
            readonly type: "DMN12__tRuleAnnotationClause";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "// local type";
        };
        readonly rule: {
            readonly type: "DMN12__tDecisionRule";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionTable";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tInputClause__extensionElements: {};
    readonly DMN12__tInputClause: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tInputClause__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly inputExpression: {
            readonly type: "DMN12__tLiteralExpression";
            readonly isArray: false;
            readonly fromType: "DMN12__tInputClause";
            readonly xsdType: "// local type";
        };
        readonly inputValues: {
            readonly type: "DMN12__tUnaryTests";
            readonly isArray: false;
            readonly fromType: "DMN12__tInputClause";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tOutputClause__extensionElements: {};
    readonly DMN12__tOutputClause: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tOutputClause__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tOutputClause";
            readonly xsdType: "xsd:string";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tOutputClause";
            readonly xsdType: "xsd:string";
        };
        readonly outputValues: {
            readonly type: "DMN12__tUnaryTests";
            readonly isArray: false;
            readonly fromType: "DMN12__tOutputClause";
            readonly xsdType: "// local type";
        };
        readonly defaultOutputEntry: {
            readonly type: "DMN12__tLiteralExpression";
            readonly isArray: false;
            readonly fromType: "DMN12__tOutputClause";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tRuleAnnotationClause: {
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tRuleAnnotationClause";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tDecisionRule__extensionElements: {};
    readonly DMN12__tDecisionRule: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tDecisionRule__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly inputEntry: {
            readonly type: "DMN12__tUnaryTests";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionRule";
            readonly xsdType: "// local type";
        };
        readonly outputEntry: {
            readonly type: "DMN12__tLiteralExpression";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionRule";
            readonly xsdType: "// local type";
        };
        readonly annotationEntry: {
            readonly type: "DMN12__tRuleAnnotation";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionRule";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tRuleAnnotation: {
        readonly text: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tRuleAnnotation";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tImportedValues__extensionElements: {};
    readonly DMN12__tImportedValues: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tImportedValues__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly "@_namespace": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_locationURI": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_importType": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImport";
            readonly xsdType: "xsd:anyURI";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImportedValues";
            readonly xsdType: "xsd:anyURI";
        };
        readonly importedElement: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tImportedValues";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tArtifact__extensionElements: {};
    readonly DMN12__tArtifact: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tArtifact__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
    };
    readonly DMN12__tTextAnnotation__extensionElements: {};
    readonly DMN12__tTextAnnotation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tTextAnnotation__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_textFormat": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tTextAnnotation";
            readonly xsdType: "xsd:string";
        };
        readonly text: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tTextAnnotation";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tAssociation__extensionElements: {};
    readonly DMN12__tAssociation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tAssociation__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_associationDirection": {
            readonly type: "DMN12__tAssociationDirection";
            readonly isArray: false;
            readonly fromType: "DMN12__tAssociation";
            readonly xsdType: "// local type";
        };
        readonly sourceRef: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tAssociation";
            readonly xsdType: "// local type";
        };
        readonly targetRef: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: false;
            readonly fromType: "DMN12__tAssociation";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tContext__extensionElements: {};
    readonly DMN12__tContext: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tContext__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
        readonly contextEntry: {
            readonly type: "DMN12__tContextEntry";
            readonly isArray: true;
            readonly fromType: "DMN12__tContext";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tContextEntry__extensionElements: {};
    readonly DMN12__tContextEntry: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tContextEntry__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly variable: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: false;
            readonly fromType: "DMN12__tContextEntry";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "DMN12__tExpression";
            readonly isArray: false;
            readonly fromType: "DMN12__tContextEntry";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tFunctionDefinition__extensionElements: {};
    readonly DMN12__tFunctionDefinition: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tFunctionDefinition__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
        readonly "@_kind": {
            readonly type: "DMN12__tFunctionKind";
            readonly isArray: false;
            readonly fromType: "DMN12__tFunctionDefinition";
            readonly xsdType: "// local type";
        };
        readonly formalParameter: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: true;
            readonly fromType: "DMN12__tFunctionDefinition";
            readonly xsdType: "// local type";
        };
        readonly expression: {
            readonly type: "DMN12__tExpression";
            readonly isArray: false;
            readonly fromType: "DMN12__tFunctionDefinition";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tRelation__extensionElements: {};
    readonly DMN12__tRelation: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tRelation__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
        readonly column: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: true;
            readonly fromType: "DMN12__tRelation";
            readonly xsdType: "// local type";
        };
        readonly row: {
            readonly type: "DMN12__tList";
            readonly isArray: true;
            readonly fromType: "DMN12__tRelation";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tList__extensionElements: {};
    readonly DMN12__tList: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tList__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_typeRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tExpression";
            readonly xsdType: "xsd:string";
        };
        readonly expression: {
            readonly type: "DMN12__tExpression";
            readonly isArray: true;
            readonly fromType: "DMN12__tList";
            readonly xsdType: "// local type";
        };
    };
    readonly DMN12__tUnaryTests__extensionElements: {};
    readonly DMN12__tUnaryTests: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tUnaryTests__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_expressionLanguage": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tUnaryTests";
            readonly xsdType: "xsd:anyURI";
        };
        readonly text: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tUnaryTests";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMN12__tDecisionService__extensionElements: {};
    readonly DMN12__tDecisionService: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "@_label": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly description: {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "xsd:string";
        };
        readonly extensionElements: {
            readonly type: "DMN12__tDecisionService__extensionElements";
            readonly isArray: false;
            readonly fromType: "DMN12__tDMNElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMN12__tNamedElement";
            readonly xsdType: "xsd:string";
        };
        readonly variable: {
            readonly type: "DMN12__tInformationItem";
            readonly isArray: false;
            readonly fromType: "DMN12__tInvocable";
            readonly xsdType: "// local type";
        };
        readonly outputDecision: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionService";
            readonly xsdType: "// local type";
        };
        readonly encapsulatedDecision: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionService";
            readonly xsdType: "// local type";
        };
        readonly inputDecision: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionService";
            readonly xsdType: "// local type";
        };
        readonly inputData: {
            readonly type: "DMN12__tDMNElementReference";
            readonly isArray: true;
            readonly fromType: "DMN12__tDecisionService";
            readonly xsdType: "// local type";
        };
    };
    readonly DMNDI12__DMNDI: {
        readonly "dmndi:DMNDiagram": {
            readonly type: "DMNDI12__DMNDiagram";
            readonly isArray: true;
            readonly fromType: "DMNDI12__DMNDI";
            readonly xsdType: "type found from namespace with declaration name 'dmndi'.";
        };
        readonly "dmndi:DMNStyle": {
            readonly type: "DMNDI12__DMNStyle";
            readonly isArray: true;
            readonly fromType: "DMNDI12__DMNDI";
            readonly xsdType: "type found from namespace with declaration name 'dmndi'.";
        };
    };
    readonly DMNDI12__DMNDiagram__extension: {};
    readonly DMNDI12__DMNDiagram: {
        readonly "@_sharedStyle": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:IDREF";
        };
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "di:extension": {
            readonly type: "DMNDI12__DMNDiagram__extension";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "di:Style": {
            readonly type: "DI__Style";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "type found from namespace with declaration name 'di'.";
        };
        readonly "@_name": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__Diagram";
            readonly xsdType: "xsd:string";
        };
        readonly "@_documentation": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__Diagram";
            readonly xsdType: "xsd:string";
        };
        readonly "@_resolution": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DI__Diagram";
            readonly xsdType: "xsd:double";
        };
        readonly "dmndi:Size": {
            readonly type: "DC__Dimension";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNDiagram";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "dmndi:DMNDiagramElement": {
            readonly type: "DI__DiagramElement";
            readonly isArray: true;
            readonly fromType: "DMNDI12__DMNDiagram";
            readonly xsdType: "type found from namespace with declaration name 'di'.";
        };
    };
    readonly DMNDI12__DMNShape__extension: {};
    readonly DMNDI12__DMNShape: {
        readonly "@_sharedStyle": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:IDREF";
        };
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "di:extension": {
            readonly type: "DMNDI12__DMNShape__extension";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "di:Style": {
            readonly type: "DI__Style";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "type found from namespace with declaration name 'di'.";
        };
        readonly "dc:Bounds": {
            readonly type: "DC__Bounds";
            readonly isArray: false;
            readonly fromType: "DI__Shape";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "@_dmnElementRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNShape";
            readonly xsdType: "xsd:QName";
        };
        readonly "@_isListedInputData": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNShape";
            readonly xsdType: "xsd:boolean";
        };
        readonly "@_isCollapsed": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNShape";
            readonly xsdType: "xsd:boolean";
        };
        readonly "dmndi:DMNLabel": {
            readonly type: "DMNDI12__DMNLabel";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNShape";
            readonly xsdType: "type found from namespace with declaration name 'dmndi'.";
        };
        readonly "dmndi:DMNDecisionServiceDividerLine": {
            readonly type: "DMNDI12__DMNDecisionServiceDividerLine";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNShape";
            readonly xsdType: "type found from namespace with declaration name 'dmndi'.";
        };
    };
    readonly DMNDI12__DMNDecisionServiceDividerLine__extension: {};
    readonly DMNDI12__DMNDecisionServiceDividerLine: {
        readonly "@_sharedStyle": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:IDREF";
        };
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "di:extension": {
            readonly type: "DMNDI12__DMNDecisionServiceDividerLine__extension";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "di:Style": {
            readonly type: "DI__Style";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "type found from namespace with declaration name 'di'.";
        };
        readonly "di:waypoint": {
            readonly type: "DC__Point";
            readonly isArray: true;
            readonly fromType: "DI__Edge";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
    };
    readonly DMNDI12__DMNEdge__extension: {};
    readonly DMNDI12__DMNEdge: {
        readonly "@_sharedStyle": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:IDREF";
        };
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "di:extension": {
            readonly type: "DMNDI12__DMNEdge__extension";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "di:Style": {
            readonly type: "DI__Style";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "type found from namespace with declaration name 'di'.";
        };
        readonly "di:waypoint": {
            readonly type: "DC__Point";
            readonly isArray: true;
            readonly fromType: "DI__Edge";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "@_dmnElementRef": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNEdge";
            readonly xsdType: "xsd:QName";
        };
        readonly "dmndi:DMNLabel": {
            readonly type: "DMNDI12__DMNLabel";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNEdge";
            readonly xsdType: "type found from namespace with declaration name 'dmndi'.";
        };
    };
    readonly DMNDI12__DMNLabel__extension: {};
    readonly DMNDI12__DMNLabel: {
        readonly "@_sharedStyle": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:IDREF";
        };
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "xsd:ID";
        };
        readonly "di:extension": {
            readonly type: "DMNDI12__DMNLabel__extension";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "Anonumous type...";
        };
        readonly "di:Style": {
            readonly type: "DI__Style";
            readonly isArray: false;
            readonly fromType: "DI__DiagramElement";
            readonly xsdType: "type found from namespace with declaration name 'di'.";
        };
        readonly "dc:Bounds": {
            readonly type: "DC__Bounds";
            readonly isArray: false;
            readonly fromType: "DI__Shape";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "dmndi:Text": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNLabel";
            readonly xsdType: "xsd:string";
        };
    };
    readonly DMNDI12__DMNStyle__extension: {};
    readonly DMNDI12__DMNStyle: {
        readonly "@_id": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DI__Style";
            readonly xsdType: "xsd:ID";
        };
        readonly "di:extension": {
            readonly type: "DMNDI12__DMNStyle__extension";
            readonly isArray: false;
            readonly fromType: "DI__Style";
            readonly xsdType: "Anonumous type...";
        };
        readonly "@_fontFamily": {
            readonly type: "string";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "xsd:string";
        };
        readonly "@_fontSize": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "xsd:double";
        };
        readonly "@_fontItalic": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "xsd:boolean";
        };
        readonly "@_fontBold": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "xsd:boolean";
        };
        readonly "@_fontUnderline": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "xsd:boolean";
        };
        readonly "@_fontStrikeThrough": {
            readonly type: "boolean";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "xsd:boolean";
        };
        readonly "@_labelHorizontalAlignement": {
            readonly type: "DC__AlignmentKind";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "@_labelVerticalAlignment": {
            readonly type: "DC__AlignmentKind";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "dmndi:FillColor": {
            readonly type: "DC__Color";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "dmndi:StrokeColor": {
            readonly type: "DC__Color";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
        readonly "dmndi:FontColor": {
            readonly type: "DC__Color";
            readonly isArray: false;
            readonly fromType: "DMNDI12__DMNStyle";
            readonly xsdType: "type found from namespace with declaration name 'dc'.";
        };
    };
    readonly DC__Color: {
        readonly "@_red": {
            readonly type: "integer";
            readonly isArray: false;
            readonly fromType: "DC__Color";
            readonly xsdType: "xsd:int";
        };
        readonly "@_green": {
            readonly type: "integer";
            readonly isArray: false;
            readonly fromType: "DC__Color";
            readonly xsdType: "xsd:int";
        };
        readonly "@_blue": {
            readonly type: "integer";
            readonly isArray: false;
            readonly fromType: "DC__Color";
            readonly xsdType: "xsd:int";
        };
    };
    readonly DC__Point: {
        readonly "@_x": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Point";
            readonly xsdType: "xsd:double";
        };
        readonly "@_y": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Point";
            readonly xsdType: "xsd:double";
        };
    };
    readonly DC__Dimension: {
        readonly "@_width": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Dimension";
            readonly xsdType: "xsd:double";
        };
        readonly "@_height": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Dimension";
            readonly xsdType: "xsd:double";
        };
    };
    readonly DC__Bounds: {
        readonly "@_x": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Bounds";
            readonly xsdType: "xsd:double";
        };
        readonly "@_y": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Bounds";
            readonly xsdType: "xsd:double";
        };
        readonly "@_width": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Bounds";
            readonly xsdType: "xsd:double";
        };
        readonly "@_height": {
            readonly type: "float";
            readonly isArray: false;
            readonly fromType: "DC__Bounds";
            readonly xsdType: "xsd:double";
        };
    };
    readonly DI__DiagramElement__extension: {};
    readonly DI__Diagram__extension: {};
    readonly DI__Shape__extension: {};
    readonly DI__Edge__extension: {};
    readonly DI__Style__extension: {};
};
//# sourceMappingURL=meta.d.ts.map